APT, Advanced Packaging Tool, является высокоуровневой системой управления пакетами Debian. Он также используется несколькими другими операционными системами на основе Linux и Debian.
1 ответ

Не могу установить правильную версию PHP, используя apt-get install

Я использую сервер Ubuntu 11.04 LTS, это новая установка на VPS-бокс от MediaTemple (их сервер). Я пытаюсь установить PHP 5.4.3 на эту коробку, но у меня общая проблема, независимо от того, какую версию я получаю. Я пытаюсь получить процесс php-cgi,…
07 июн '12 в 09:17
1 ответ

Ошибка при переустановке apache2

Вчера я выполнил дистрибутив Debian Wheezy и получил ошибку с syslog-nc-core. Я обнаружил, что я должен попытаться переустановить его и попытался, но это закончилось ошибкой, что apache2 не настроен. Я очистил его также, и когда я сейчас пытаюсь пер…
25 авг '14 в 15:57
0 ответов

Как запросить "не запускать / включать" при установке пакетов в Ubuntu?

Начните с базовой системы. apt-get install apache2 Это приводит к установке пакета и запуску сервиса. Существует ли какой-либо механизм (стандартный для всех других пакетов, если это возможно), который запрашивает, чтобы он НЕ просто произвольно зап…
22 июл '15 в 16:40
2 ответа

Как создать локальный прокси пакет apt?

Я развернул много много кластеров на AWS. Чтобы обеспечить бесперебойное развертывание новых экземпляров, я бы хотел иметь локальный apt-прокси, который хранит кеш пакетов. Я должен иметь возможность синхронизировать ВСЕ установленные пакеты apt усп…
10 окт '14 в 00:26
1 ответ

Попытка установить rSync 3.x на Debian 4 etch

Всякий раз, когда я использую официальную ссылку на источник Debian и запускаю apt-get install rsync Debian автоматически установит мне версию rsync 2.6.9. Я могу подтвердить следующую команду: rsync --version это выход: rsync версия 2.6.9 версия пр…
08 сен '14 в 04:43
1 ответ

Debian LTS: как обновлять пакеты с последними исправлениями безопасности, используя apt

Каков наилучший способ поддерживать пакеты в актуальном состоянии (т.е. с последними исправлениями безопасности), не беспокоясь об обновлении основной версии? Например, apache2 для squeezeis - это 2.2.16 ( https://packages.debian.org/source/squeeze/…
25 авг '14 в 15:37
2 ответа

Я не могу избавиться от apache2

Очевидно, что я новичок в администрировании серверов; Моя цель - получить знания, необходимые для работы с веб-сервисами. Я играл на своем сервере Debian и испортил apache2; Теперь я хочу полностью * удалить его с сервера, а затем переустановить как…
11 июн '10 в 10:49
1 ответ

Каков точный эквивалент создания репозитория yum?

С помощью yum я могу создать репозиторий из папки RPM с createrepo инструмент. Что эквивалентно, чтобы превратить папку файлов.deb в apt хранилище? Речь идет не о зеркалировании репозиториев в восходящем потоке или обслуживании чего-либо в масштабе,…
30 дек '13 в 18:03
2 ответа

Дублировать sources.list во время обновления apt-get

Я хотел установить PostGIS на моем сервере, на котором уже установлен PostgreSQL. Я следовал этому руководству по установке PostGIS. Я ввел этот скрипт: sudo sh -c 'echo "deb http://apt.postgresql.org/pub/repos/apt trusty-pgdg main" >> /etc/ap…
02 ноя '14 в 12:13
2 ответа

Ключ GPG недоступен для локального репо

У нас есть сервер Apt-mirror. У нас также есть пользовательское хранилище с именем 'local' на этом сервере. Если я добавлю в sources.list следующую строку: deb http://aptmirror.example.com/local trusty main Следующая ошибка отображается: W: Erreur d…
11 дек '15 в 16:26
1 ответ

apt-get (Debian 9) пакет openssh-server постоянно запрашивает параметры файла конфигурации - игнорирование параметров?

Я пытаюсь сделать неинтерактивные обновления. Кажется, работает, пока я не попал в пакет openssh-server. openssh-server выдает интерактивную подсказку, которая даже не работает. Он "заморожен", и мне нужно cntrl-C из него, вручную убить процесс, а з…
24 авг '18 в 17:44
1 ответ

Как установить кукольный devel с apt.puppetlabs.com?

Согласно README на http://apt.puppetlabs.com/, репо добавляется wget http://apt.puppetlabs.com/puppetlabs-release-precise.deb dpkg -i puppetlabs-release-precise.deb но я вижу стабильную версию 2.7 только после поиска в aptitude, Даже если я устанавл…
31 июл '12 в 15:23
1 ответ

Если я apt-get install ksh, он заменяет оболочку по умолчанию или только устанавливает ее как интерпретатор?

Я получаю сообщение об ошибке: bash: ./fw_utils: /bin/ksh: плохой интерпретатор: нет такого файла или каталога Если я apt-get install ksh, он заменяет шоу по умолчанию или только устанавливает его как переводчик? Если он устанавливает его по умолчан…
09 июл '10 в 17:03
2 ответа

Xvfb на Debian не устанавливается должным образом из apt-get

Я пытаюсь установить xfvb для безголовых тестов Firefox и Selen, но после установки: apt-get install xvfb Я получил только те файлы на сервере (поиск по xvfb): /usr/bin/xvfb-run /usr/share/doc/xvfb /usr/share/man/man1/xvfb-run.1.gz /var/lib/dpkg/inf…
02 авг '12 в 12:54
0 ответов

Сравните версии пакетов разных выпусков Debian

Я установил сервер с помощью Debian-тестирования (Джесси). Ну, я сожалею об этом. Они уже дважды сломали всю систему, потому что systemd внезапно потребовались дополнительные функции ядра. И я не хочу больше обновлений... Прежде чем пытаться перейти…
31 окт '14 в 16:09
1 ответ

Не удается обновить Ubuntu 12.04 PHP 5.3 до 5.5

На сервере Ubuntu 12.04 я пытаюсь обновить PHP 5.3 до 5.5, вот что я сделал: sudo add-apt-repository ppa:ondrej/php5 sudo apt-get update sudo apt-get install php5 К сожалению, установка заканчивается следующей ошибкой: dpkg: error processing /var/ca…
23 ноя '15 в 17:13
1 ответ

"apt-get source" не может найти пакет, но "apt-get install" и "apt-get cache" могут найти его

Я пытаюсь загрузить исходный код пакета, но когда я запускаю [email protected]:~# apt-get source squid3 Reading package lists... Done Building dependency tree Reading state information... Done E: Can not find version '3.3.8-1.1' of package 'squid3' E: Unab…
24 мар '14 в 06:00
0 ответов

apt-get установочный пакет для разных дистрибутивов

Моя среда разработки на работе работает под управлением Ubuntu 14.04, и мне нужно установить php7.2. Мы используем бродячую машину с установочным скриптом, который делал это автоматически. Первым делом он добавил репо с пакетом: sudo add-apt-reposit…
16 май '19 в 18:57
1 ответ

Перезапуск сервера MySQL не удалось

Я хочу восстановить мой пароль root для mysql, поэтому я следовал этому руководству и остановил сервер mysql. когда я пытаюсь запустить его, он показывает сообщение об ошибке и не запускается. Я считаю, что ошибка связана с файловой системой только …
30 авг '12 в 04:44
2 ответа

Debian Wheezy, Heartbleed, OpenSSL отказывается обновлять

У меня странная проблема, моя система подвержена сердечному кровотечению, и я пытаюсь это исправить, используя: apt-get clean, apt-get update а также apt-get upgrade openssl но ответ таков: Чтение списков пакетов... Готово Построение дерева зависимо…
02 май '14 в 10:39